Subject: Re: [Ace] [IANA #1226120] expert review for draft-ietf-ace-aif (core-parameters)

From: Klaus Hartke <[email-masked]>
Date: Tue, 1 Mar 2022 11:50:33 +0100

Hi Sabrina,

I have reviewed Section 5.3 of draft-ietf-ace-aif-05 and the proposed
registrations looks good to me.

Since the draft doesn't request specific values for TBD1 and TBD2, I
propose to assign IDs in the range 256-9999, such as 290 and 291.

Small editorial nit: RFC 7252 defines the Content-Formats registry
with columns "Media type", "Encoding", "ID", and "Reference". Since
publication, it turned out that the columns should have been more
appropriately labeled "Content Type", "Content Coding", "ID" and
"Reference" (cf. [1]). Section 5.3 of draft-ietf-ace-aif-05 uses a mix
of these two. (There is an unprocessed erratum [2] with the same mix,
which however gets it wrong.) I'm not sure if the draft can deviate
from RFC 7252 without a verified erratum; if it can, it should say
"Content Type"/"Content Coding".

Best regards,
Klaus

[1] https://datatracker.ietf.org/doc/html/draft-bormann-core-media-content-type-format-04
[2] https://www.rfc-editor.org/errata/eid4954

On Mon, 28 Feb 2022 at 18:08, Sabrina Tanamal via RT
<[email-masked]> wrote:
>
> Dear Klaus (cc: ace WG),
>
> As the designated expert for the CoAP Content-Formats registry, can you review the proposed registrations in draft-ietf-ace-aif for us? Please see
>
> https://datatracker.ietf.org/doc/draft-ietf-ace-aif/
>
> If these are OK, when the IESG approves the document for publication, we'll make the registrations at
>
> https://www.iana.org/assignments/core-parameters
>
> The IESG has asked us to set a two-week deadline for registration reviews. The due date for this request is 14 March 2022.
>
> Carsten Bormann is also an expert for this registry, but he's the author of this document.
>
> thanks,
>
> Sabrina Tanamal
> Lead IANA Services Specialist
>

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 1 Mar 2022 13:05:01 +0100

Good point, Klaus.

On 2022-03-01, at 11:50, Klaus Hartke <[email-masked]> wrote:
> 
> I'm not sure if the draft can deviate

It probably can’t, but we can still mention what we actually mean.
I made a note at https://github.com/cabo/ace-aif/issues/3
Maybe one of the reviewers can pick this up for the IESG ballot...

Grüße, Carsten